CVS snapshot version problems

Pavel Roskin proski at gnu.org
Wed May 26 11:54:35 EDT 2004


On Tue, 25 May 2004, Ashwin Chaugule wrote:

> I'm using Red Hat 9, kernel ver: 2.4.20-8. I've installed and used 
> hostap 0.1.3 and 0.2.0 and the hostap CVS snapshot previous to the one 
> recently put up, successfully. However , the new CVS dev. snapshots seem 
> to be causing some trouble. I've always installed hostap using "make 
> pccard" for my PCL RoadLannerWave PRISM 3 PCMCIA card because the "make" 
> command gave errors. Anyway , using Make pccard used to work just fine. 
> Now, the dev. snapshot version doesnt have "make pccard" , so im 
> guessing a simple "make" should do the needful ?

You don't need to guess, it's written in README.  "make pccard" caused 
problems on 2.6 kernels and was removed to avoid confusion.

The fix is to copy .config file corresponding to your kernel (it's 
probably called /boot/config-2.4.20-8) to the kernel source, rename it to 
.config and run "make oldconfig && make depend" (either do it as root or 
take over the ownership of the kernel tree).

Sorry for offtopic, but the latest kernel for Red Hat 9 is 2.4.20-31.9 
(from what I see on distro.ibiblio.org).  You probably should update your 
system.  Distributions don't release fixes for fun.

> Also , I did apply the 2.4.20-8 kernel patches as mentioned in the 
> kernel-patches README.

Actually, you don't need it if you compile hostap separately.  It's needed 
if you want to compile hostap inside the kernel tree.

-- 
Regards,
Pavel Roskin



More information about the HostAP mailing list